﻿using System.ComponentModel.DataAnnotations;

namespace Bunny.Dao.Entity.Base;

public class BaseEntity
{
    [Key] public Guid? Id { get; set; }

    public DateTime CreateTime { get; set; }

    public DateTime UpdateTime { get; set; }

    public long CreateUserId { get; set; }

    public long UpdateUserId { get; set; }

    public bool IsDeleted { get; set; }

    [Timestamp] public byte[]? Version { get; set; }
}