﻿using System.Security.Cryptography;
using System.Text;

namespace Bunny.Common.Utils.Net;

public static partial class NetUtil
{
    /// <summary>
    ///     MD5 加密32位-大写
    /// </summary>
    /// <param name="password">密码</param>
    /// <returns>加密后结果</returns>
    public static string Encryption32(string password)
    {
        var md5 = new MD5CryptoServiceProvider();
        var bytes = Encoding.UTF8.GetBytes(password);
        var result = BitConverter.ToString(md5.ComputeHash(bytes));
        return result.Replace("-", "");
    }

    /// <summary>
    ///     md5 加密32位-小写
    /// </summary>
    /// <param name="password">密码</param>
    /// <returns>加密后结果</returns>
    public static string Encryption32Lower(string password)
    {
        var md5 = new MD5CryptoServiceProvider();
        var bytes = Encoding.UTF8.GetBytes(password);
        var result = BitConverter.ToString(md5.ComputeHash(bytes));
        return result.Replace("-", "").ToLower();
    }
}