﻿using System.ComponentModel.DataAnnotations;

namespace Bunny.Dao.Dto.System;

public class BlogUpdateDto
{
    [Required(ErrorMessage = "ID是必须的")] public Guid? Id { get; set; }
    [Required(ErrorMessage = "Url是必填项")] public string? Url { get; init; }
    public DateTime CreateTime { get; set; }

    public DateTime UpdateTime { get; set; }

    public long CreateUserId { get; set; }

    public long UpdateUserId { get; set; }

    public bool IsDeleted { get; set; }

    public byte[]? Version { get; set; }
}