﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Bunny.Dao.Entity.Base;

namespace Bunny.Dao.Entity.System;

[Table("Blog")]
public class Blog : BaseEntity
{
    [Required]
    [Column("BlogUrl", TypeName = "varchar(600)")]
    public string? Url { get; init; }
}