﻿namespace Bunny.Dao.Model.Constant;

/// <summary>
///     文件消息相关常量
/// </summary>
public class FileMessageConstant
{
    public static readonly string DownloadBucketException = "下载文件失败";
    public static readonly string FileUploadException = "文件上传失败";
    public static readonly string BucketExistsException = "查询文化部对象失败";
    public static readonly string DeleteBucketException = "删除文件对象失败";
    public static readonly string FileIsEmpty = "文件信息为空";
    public static readonly string FileIsNotExits = "文件信息为空";
    public static readonly string GetBucketException = "获取文件信息失败";
    public static readonly string QueryBucketException = "查询文件信息失败";
    public static readonly string CreateBucketException = "创建文件对象失败";
    public static readonly string UpdateBucketException = "更新文件对象失败";
    public static readonly string ComposeObjectException = "对象错误";
    public static readonly string CopyBucketException = "复制文件内容失败";
    public static readonly string DisableBucketException = "禁用文件失败";
    public static readonly string EnableBucketException = "启用文件失败";
}