﻿using Quartz;

namespace Bunny.Service.Job;

public class SimpleJob : IJob
{
    public Task Execute(IJobExecutionContext context)
    {
        var dataMap = context.JobDetail.JobDataMap;
        var username = dataMap.GetString("username");
        var password = dataMap.GetString("password");
        Console.WriteLine($"SimpleJob：用户名：{username}，密码： {password}");
        return Task.CompletedTask;
    }
}