﻿using Fleck;

namespace Bunny.Service.WebSocket;

public static class WebSocketTest
{
    public static void Start()
    {
        var webSocketServer = new WebSocketServer("ws://0.0.0.0:8800");

        webSocketServer.RestartAfterListenError = true;
        webSocketServer.Start(socket =>
        {
            socket.OnOpen = () => Console.WriteLine("Open!");
            socket.OnClose = () => Console.WriteLine("Close!");
            socket.OnMessage = message =>
            {
                Console.WriteLine(message);
                socket.Send(message);
            };
        });
    }
}