﻿using Microsoft.AspNetCore.Mvc;

namespace Bunny.WebApi.Controllers;

/// <summary>
///     主页请求
/// </summary>
[ApiController]
[Route("/")]
public class IndexController : ControllerBase
{
    /// <summary>
    ///     请求主页面响应内容
    /// </summary>
    /// <returns></returns>
    [HttpGet("")]
    public IActionResult Index()
    {
        return Ok("看到这里页面说明你已经成功启动了本项目:)\n\n如果觉得项目有用，打赏作者喝杯咖啡作为奖励>>https://gitee.com/BunnyBoss/csharp-single-efcore");
    }
}